<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_contact".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountDetails".
 *
 * Columns in table "account_contact" available as properties of the model,
 * followed by relations of table "account_contact" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_id
 * @property string $name
 * @property string $mobile_phone
 * @property string $email
 * @property string $alert_app_request
 * @property string $alert_tracked_call
 * @property string $alert_review
 * @property string $alert_report
 * @property string $alert_billing
 * @property string $date_added
 * @property integer $active
 *
 * @property Account $account
 */
abstract class BaseAccountContact extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_contact';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountContact|AccountContact', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('account_id, name', 'required'),
            array('account_id, active', 'numerical', 'integerOnly' => true),
            array('account_id, name, mobile_phone, email', 'safe'),
            array('mobile_phone, email', 'default', 'setOnEmpty' => true, 'value' => ''),
            array('id, account_id, name, mobile_phone, email, date_added, active', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'account' => array(self::BELONGS_TO, 'Account', 'account_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => null,
            'name' => Yii::t('app', 'Name'),
            'mobile_phone' => Yii::t('app', 'Mobile Phone'),
            'email' => Yii::t('app', 'Email'),
            'account' => null,
            'active' => Yii::t('app', 'Active'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('email', $this->email, true);
        $criteria->compare('mobile_phone', $this->mobile_phone, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
